/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.liferay.usergroup;

import com.liferay.portal.model.User;
import com.liferay.portal.model.UserGroup;

/**
 * Created by IntelliJ IDEA.
 * Created: 2011-11-19 17:29
 *
 * @author <a href="mailto:david.rosell@redpill-linpro.com">David Rosell</a>
 */
public interface UserGroupHelper {

    void addUser(UserGroup userGroup, User... user);
    void addUser(String userGroupName, User... user);

    void removeUser(UserGroup userGroup, User... user);
    void removeUser(String userGroupName, User... user);

    UserGroup findByName(String userGroupName, long companyId);

    boolean isMember(UserGroup userGroup, User user);

    void createIfNeeded(String userGroupName, long companyId);

    void rename(String newUserGroupName, UserGroup userGroup);

    void moveUsers(UserGroup fromGroup, UserGroup toGroup);

    void delete(UserGroup userGroup);

}
